﻿using System;
using System.Collections.Generic;
using System.Data.SQLite;

using Dapper;

namespace TestProject
{
    /// <summary>
    /// 프로그램
    /// </summary>
    class Program
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region 프로그램 시작하기 - Main()

        /// <summary>
        /// 프로그램 시작하기
        /// </summary>
        private static void Main()
        {
            string connectionString = $"Data Source={"test.db"};";

            using(SQLiteConnection connection = new SQLiteConnection(connectionString))
            {
                IEnumerable<dynamic> resultEnumerable = connection.Query("SELECT * FROM Student");

                foreach(dynamic result in resultEnumerable)
                {
                    Console.WriteLine($"{result.ID}, {result.NAME}, {result.HEIGHT}");
                }
            }
        }

        #endregion
    }
}